# Uses of Interface
waffle.windows.auth.IWindowsCredentialsHandle

Packages that use IWindowsCredentialsHandle
Package
Description
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsCredentialsHandle in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsCredentialsHandle
Modifier and Type
Class
Description
`class`
`WindowsCredentialsHandleImpl`
Pre-existing credentials of a security principal.
Methods in waffle.windows.auth.impl that return IWindowsCredentialsHandle
Modifier and Type
Method
Description
`static IWindowsCredentialsHandle`
WindowsCredentialsHandleImpl.`getCurrent(String securityPackage)`
Returns the current credentials handle.
Methods in waffle.windows.auth.impl with parameters of type IWindowsCredentialsHandle
Modifier and Type
Method
Description
`void`
WindowsSecurityContextImpl.`setCredentialsHandle(IWindowsCredentialsHandle handle)`
Sets the credentials handle.